%undefine        _changelog_trimtime
%global         githash     c6e6a8822b673bfe3e7182f99cdffd1f7735a61e

Name:           skkdic
Version:        20210919
Release:        1.gitc6e6a8822b
Summary:        Standard dictionary file for SKK
License:        GPLv2+
URL:            http://openlab.ring.gr.jp/skk/skk/dic/
Source0:        https://github.com/skk-dev/dict/archive/%{githash}/%{name}-%{version}.git%{githash}.tar.gz
Source1:        https://raw.githubusercontent.com/skk-dev/skktools/0fe2106fbc052445c611e6c5b2a79899d740edcb/unannotation.awk
Source2:        README-skkdic.rh.ja

BuildArch:      noarch

%description
This package provides `SKK-JISYO', the standard dictionary file for SKK Japanese input systems.
Currently, this package contains the large size dictionary file `SKK-JISYO.L' as the standard dictionary file.
For faster access, install the skkdic-cdb package which provides the constant database (cdb) file of this dictionary.
Other dictionary files, such as zipcode, personal names, small size, are provided by the skkdic-extra package.
To merge or edit dictionaries, install the skktools package. To use dictionaries more conveniently,
several SKK dictionary servers are available, such as dbskkd-cdb and skksearch.

%prep
%autosetup -n dict-%{githash} -p1

install -p %{SOURCE1} ./
install -p %{SOURCE2} ./

mv zipcode/README.md zipcode/README-zipcode.md

%build
%make_build SKK-JISYO.L.unannotated TOOLS_DIR=.
%make_build SKK-JISYO.wrong TOOLS_DIR=.

%install
install -d $RPM_BUILD_ROOT%{_datadir}/skk

install -p -m 644 SKK-JISYO* $RPM_BUILD_ROOT%{_datadir}/skk
install -p -m 644 zipcode/SKK-JISYO* $RPM_BUILD_ROOT%{_datadir}/skk

gzip -9 ChangeLog

%files
%doc ChangeLog.gz README-skkdic.rh.ja committers.md edict_doc.html zipcode/README-zipcode.md
%{_datadir}/skk/

%changelog
* Wed Apr 19 2023 yaoxin <yao_xin001@hoperun.com> - 20210919-1.gitc6e6a8822b
- Update to 20210919

* Thu Dec 12 2019 daiqianwen <daiqianwen@huawei.com> - 20181016-2
- Package init
